Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26544

Description

In print layout, add a map item

Enable its properties panel and modify a value in the Extent group

Nothing happens

Press the Update preview button (who knows?): the values are reset.

Associated revisions

Revision 615d7a03 - 2018-06-09 05:31 PM - Alessandro Pasotti 

Use locale representation for extent

Fixes #18656 Print Layout: unable to manually modify the X and Y coordinates in the map Item properties panel

History

#1 - 2018-04-07 04:44 AM - Nyall Dawson

- Status changed from Open to Feedback

Works fine here - can you confirm the steps required to reproduce this?

#2 - 2018-04-07 08:38 AM - Harrissou Santanna

- Status changed from Feedback to Open

No more steps than what is described above. 

Investigating a bit, i find that it has to do with conversion of decimal separator. Values are displayed with a dot but i can't enter dot in my text lineedit. And if

i use comma, i need to use it in all the four boxes to have the map item resized; changing a single value is ignored.

In 2.18, values are displayed with dot and changes allow both dot and comma (with no need to update the four boxes)

#3 - 2018-04-07 10:54 AM - Nyall Dawson

Ah, in that case I'm clueless - I have no idea about localisation and comma/decimal handling, and an impromptu qa held at the hackfest last year left me

more clueless! Someone else will need to fix this.

#4 - 2018-04-09 04:41 PM - Harrissou Santanna
Did something change in that area in the underlying libraries? Because it works pretty well in 2.18: i can type x and y coordinates values with either "." or

",".

#5 - 2018-06-05 06:39 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

I'm able to reproduce it on windows with italian locale, I'll have a look.

#6 - 2018-06-09 05:34 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/7210

#7 - 2018-06-09 06:23 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|615d7a03f28665b08b225dfa4d5f33d5d7229879.
